# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# C:\ci\containers\000034355vh\tmp\build\80754af9\rsync-recipes\glue-core-0.15.6-python_3.6-on-winbuilder, last modified Wed Feb 24 05:34:56 2021
# ------------------------------------------------

package:
  name: glue-core
  version: 0.15.6
source:
  fn: glue-core-0.15.6.tar.gz
  sha256: f9c753f13de918671c0fcab680404390b2e133c5e85c7248e4d279e8b29ec266
  url: https://pypi.io/packages/source/g/glue-core/glue-core-0.15.6.tar.gz
build:
  entry_points:
    - glue = glue.main:main
    - glue-config = glue.config_gen:main
    - glue-deps = glue._deps:main
  ignore_run_exports:
    - pyqt
  number: '0'
  osx_is_app: true
  script: python -m pip install --no-deps --ignore-installed .
  string: py36haa95532_0
requirements:
  host:
    - ca-certificates 2021.1.19 haa95532_0
    - certifi 2020.12.5 py36haa95532_0
    - icu 58.2 ha925a31_3
    - jpeg 9b hb83a4c4_2
    - libpng 1.6.37 h2a8f88b_0
    - openssl 1.1.1j h2bbff1b_0
    - pip 21.0.1 py36haa95532_0
    - pyqt 5.9.2 py36h6538335_2
    - python 3.6.12 h5500b2f_2
    - qt 5.9.7 vc14h73c81de_0
    - setuptools 52.0.0 py36haa95532_0
    - setuptools-scm 5.0.1 pyhd3eb1b0_1
    - setuptools_scm 5.0.1 hd3eb1b0_1
    - sip 4.19.8 py36h6538335_0
    - sqlite 3.33.0 h2a8f88b_0
    - toml 0.10.1 py_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - wheel 0.36.2 pyhd3eb1b0_0
    - wincertstore 0.2 py36h7fe50ca_0
    - zlib 1.2.11 h62dcd97_4
  run:
    - astropy >=2.0
    - bottleneck >=1.2
    - dask
    - dill >=0.2
    - h5py >=2.4
    - ipykernel
    - ipython >=4.0
    - matplotlib >=2.0
    - mpl-scatter-density >=0.4
    - numpy >=1.9
    - pandas >=0.14
    - plotly
    - pyqt >=5.6,<6.0a0
    - python >=3.6,<3.7.0a0
    - qtconsole
    - qtpy >=1.2
    - scikit-image
    - scipy
    - setuptools >=1.0
    - xlrd >=1.0
test:
  commands:
    - glue --version
    - glue-deps list
  imports:
    - glue
    - glue.app.qt
    - glue.core
about:
  dev_url: https://github.com/glue-viz/glue
  doc_url: http://glueviz.rtfd.io
  home: http://glueviz.org
  license: BSD 3-Clause
  license_file: LICENSE
  summary: Multi-dimensional linked data exploration
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - astrofrog-conda-forge
